Bug 102951 - netdevice.h should not include byteorder.h
Summary: netdevice.h should not include byteorder.h
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc-kernheaders (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-23 01:25 UTC by Felipe Alfaro Solana
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-25 12:52:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Felipe Alfaro Solana 2003-08-23 01:25:51 UTC
Description of problem: 
The "/usr/include/linux/netdevice.h" file from glibc-kernheaders-2.4-8.28 
includes, at line #35, file "byteorder.h". There are two problems here: 
 
1. "byteorder.h" is under the "asm" directory, so the #include should be 
directed against <asm/byteorder.h> 
2. "byteorder.h" is a kernel private include file that should not ever be 
included by any user-space program. 
 
Version-Release number of selected component (if applicable): 
2.4-8.28 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
Try building "chkrootkit" against glibc-kernheaders-2.4-8.29 and you'll see 
what I'm talking about ;-) 
     
Actual results: 
User space applications that include "/usr/include/linux/netdevice.h" won't 
compile. 
 
Expected results: 
--- netdevice.h.old     2003-08-23 03:20:19.000000000 +0200 
+++ netdevice.h 2003-08-23 03:21:44.000000000 +0200 
@@ -32,7 +32,6 @@ 
 #include <asm/types.h> 
 #include <asm/cache.h> 
 #include <endian.h> 
-#include <byteorder.h> 
 
Additional info:

Comment 1 Arjan van de Ven 2003-08-23 11:11:57 UTC
it should have been byteswap.h instead... woops.
Thanks for the report; I've built a fix package into the tree

Comment 2 Jay Turner 2003-08-25 12:52:05 UTC
Fix confirmed with 2.4-8.31.


Note You need to log in before you can comment on or make changes to this bug.